net.i2p.client.streaming

## Class TooManyStreamsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.i2p.I2PException
      - - net.i2p.client.streaming.TooManyStreamsException

- All Implemented Interfaces:
    Serializable

      public class TooManyStreamsException
      extends I2PException

  We attempted to have more open streams than we are willing to put up with
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TooManyStreamsException()`
    `TooManyStreamsException(String message)`
    `TooManyStreamsException(String message, Throwable parent)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TooManyStreamsException

          public TooManyStreamsException(String message,
                                 Throwable parent)

    - #### TooManyStreamsException

          public TooManyStreamsException(String message)

    - #### TooManyStreamsException

          public TooManyStreamsException()